package com.example.helloworld;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Log.i("info", "OnCreate method");
    }

    @Override
    protected void onStart() {
        super.onStart();
        Log.i("info", "OnStart method");
    }

    @Override
    protected void onResume() {
        super.onResume();
        Log.i("info", "OnResume method");
    }

    @Override
    protected void onPause() {
        super.onPause();
        Log.i("info", "OnPause method");
    }

    @Override
    protected void onStop() {
        super.onStop();
        Log.i("info", "OnStop");
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        Log.i("info", "OnDestroy method");
    }

    @Override
    protected void onRestart() {
        super.onRestart();
        Log.i("info", "OnRestart");
    }
}